### Function

# EBookContacts contact_attr_list_copy

since: 3.8

#### Declaration [src]

    GList*
    e_contact_attr_list_copy (
      GList* list
    )

#### Description [src]

Copies a list of allocated strings, specifically for the `EContactAttrList` boxed type used for multi valued contact fields.

Available since: 3.8

#### Parameters

`list`

  Type: A list of `utf8`

  A `GList` of strings.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

A copy of `list`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.